﻿
function Liquid_Wealth:BuildIcons(Char) --Builds the Players Icon Texture file path
    local Gender={"N/A","Male","Female"};
    local texLocationClass="Interface\\Addons\\Liquid_Wealth\\Images\\Class\\";
    local texLocationRace="Interface\\Addons\\Liquid_Wealth\\Images\\Race\\";
    local texString="";
    local sex,race,class=strsplit(":",Char);
    texString="|T"..texLocationRace..race.."-"..Gender[tonumber(sex)]..".tga:25|t".."|T"..texLocationClass..class.."_icon.tga:25|t";
    return texString;
end

function Liquid_Wealth:BuildBagIcons(itemID)
	if itemID then
	   if (itemID=="Bank") or (itemID=="Backpack") then --Show BagIcon for bank or backup
			return "|TInterface\\Icons\\INV_Misc_Bag_08:25|t";
		elseif(itemID=="NONE") or (itemID==nil) or (itemID=="") or (itemID==0) then
			return "|TInterface\\GossipFrame\\ActiveQuestIcon:25|t"; --Show QuestIcon if no bag is dected
		else
			local _, _, _, _, _, _, _, _, _, itemTexture = GetItemInfo(itemID); --Return's the texture path for the currnt bag
			return "|T"..itemTexture..":25|t";
		end
	end
end
