﻿function Liquid_Wealth:GetGuildBankTabVaule(TabID)
	local TabAuctionValue=0;
	local TabVenderValue=0;
	local name, icon, isViewable, _, _, _ = GetGuildBankTabInfo(TabID)
	
	if GuildBankFrame and GuildBankFrame:IsVisible() then
		for slot = 1, 98 do
			if GetGuildBankItemLink(TabID, slot) then
				local texture, itemCount, locked = GetGuildBankItemInfo(TabID,slot)
				local ItemLink = GetGuildBankItemLink(TabID,slot)
				local itemsPrice=0;
				itemsPrice=Liquid_Wealth:GetItemValueAuction(ItemLink)
				TabAuctionValue = TabAuctionValue + floor(itemCount*itemsPrice);
				itemsPrice=Liquid_Wealth:GetItemValueVender(ItemLink)
				TabVenderValue = TabVenderValue + floor(itemCount*itemsPrice);
			end
		end
	end

	return TabAuctionValue, TabVenderValue;
end

function Liquid_Wealth:ScanGuildBank(GuildName)
	for banktab = 1, GetNumGuildBankTabs() do
		local name, icon, isViewable,_,_,_ = GetGuildBankTabInfo(banktab)
		if ((not isViewable) and (not Liquid_Wealth.db.realm.guild[GuildName][banktab]))  then -- Need to put in error checking on toons that cant see the guild bank, i dont want to rewrite the data

		elseif (isViewable) then
			local TabAuctionValue, TabVenderValue = Liquid_Wealth:GetGuildBankTabVaule(banktab)
			Liquid_Wealth.db.realm.guild[GuildName][banktab] = Liquid_Wealth:CovGuildBankItemDataToDB(name,icon,isViewable,TabVenderValue,TabAuctionValue)
			if not GetGuildBankItemLink(banktab, 1) then
				tinsert(tabsNotScanned, name)
			end
		end
	end
end


